<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <android.support.design.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:context=".WLTwitterLoginActivity">

        <android.support.design.widget.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.v7.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:layout_scrollFlags="scroll|enterAlways"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light"
                app:theme="@style/AppTheme" />

        </android.support.design.widget.AppBarLayout>
    </android.support.design.widget.CoordinatorLayout>

    <RelativeLayout

        android:layout_width="match_parent"
        android:layout_height="match_parent"

        android:background="@color/white_background"
        android:padding="@dimen/login_root_padding">

        <android.support.v7.widget.CardView

            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/login_center_panel_left_margin"
            android:layout_marginRight="@dimen/login_center_panel_right_margin"
            android:layout_marginTop="@dimen/login_center_panel_top_margin"

            app:cardCornerRadius="3dp"
            app:cardElevation="4dp"
            app:cardUseCompatPadding="true">


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="@dimen/login_center_panel_padding">


                <android.support.design.widget.TextInputLayout
                    android:id="@+id/loginLayoutEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentTop="true">

                    <android.support.v7.widget.AppCompatEditText
                        android:id="@+id/loginEditText"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:hint="@string/loginHint"
                        android:inputType="text" />

                </android.support.design.widget.TextInputLayout>


                <android.support.design.widget.TextInputLayout
                    android:id="@+id/passwordLayoutEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignLeft="@+id/loginLayoutEditText"
                    android:layout_alignRight="@+id/loginLayoutEditText"
                    android:layout_below="@+id/loginLayoutEditText"
                    android:layout_marginTop="@dimen/login_center_panel_content_top_margin">

                    <android.support.v7.widget.AppCompatEditText
                        android:id="@+id/passwordEditText"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:hint="@string/passwordHint"
                        android:inputType="textPassword" />
                </android.support.design.widget.TextInputLayout>

                <Button
                    android:id="@+id/loginButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignRight="@+id/loginLayoutEditText"
                    android:layout_below="@+id/passwordLayoutEditText"
                    android:layout_marginTop="@dimen/login_center_panel_content_top_margin"
                    android:background="@android:color/white"
                    android:onClick="signInClick"
                    android:text="@string/login"
                    android:textColor="@drawable/blue_white_text_selector"
                    android:textSize="20dp"
                    android:textStyle="bold" />

            </RelativeLayout>

        </android.support.v7.widget.CardView>


        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_alignParentRight="true"
            android:contentDescription="@string/app_name"
            android:src="@drawable/twitter" />

    </RelativeLayout>

</LinearLayout>